Package org.apache.solr.client.solrj.response

## Class HealthCheckResponse

- java.lang.Object
- - org.apache.solr.client.solrj.SolrResponse
  - - org.apache.solr.client.solrj.response.SolrResponseBase
    - - org.apache.solr.client.solrj.response.HealthCheckResponse

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`

    public class HealthCheckResponse
    extends SolrResponseBase

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Constructor Summary

Constructors
`HealthCheckResponse()`

### Method Summary

All Methods Instance Methods Concrete Methods
`NamedList<String>` `getErrorMessages()`
`String` `getMessage()`
`String` `getNodeStatus()`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`deserialize, getException, serializable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### HealthCheckResponse

    public HealthCheckResponse()

### Method Detail

#### getErrorMessages

    public NamedList<String> getErrorMessages()

#### getMessage

    public String getMessage()

#### getNodeStatus

    public String getNodeStatus()